body {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen,
    Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}

.darkmode--activated,
.darkmode--activated div {
  color: #000;
}

.darkmode-layer,
.darkmode-toggle {
  z-index: 500;
  outline: none;
}

#calculator {
  position: fixed;
  width: 320px;
  height: 550px;
  background-color: rgb(242, 242, 242);
  margin: 0 auto;
  top: 6rem;
  position: relative;
  border-radius: 20px;
}

#result {
  height: 140px;
}

#history {
  text-align: right;
  height: 20px;
  margin: 0 20px;
  padding-top: 10px;
  font-size: 24px;
  color: #a7a3a3;
}

#output {
  text-align: right;
  height: 60px;
  margin: 10px 20px;
  padding-top: 4px;
  font-size: 36px;
  color: black;
  font-weight: 500;
}

#keyboard {
  height: 320px;
}

.operator,
.number,
.equal-sign {
  width: 50px;
  height: 50px;
  margin: 15px;
  float: left;
  border-radius: 50%;
  border-width: 0;
  color: black;
  font-weight: 400;
  font-size: 22px;
  outline: none;
  cursor: pointer;
  background-color: rgb(242, 242, 242);
}

.operator,
button:nth-child(17) {
  color: #a7a3a3;
}

button:nth-child(4n) {
  color: #ed423e;
}

button:nth-child(19) {
  font-weight: 750;
}

button:nth-child(20) {
  color: white;
  background-color: #ed423e;
}

@media only screen and (max-width: 465px) {

  #calculator{
    top: 4rem;
  }
}